<?php

// set constants
$options = get_option('dkret3');

$checklayout = @opendir(STYLESHEETPATH . "/library/layouts/");
if ($checklayout && $options['layout'] != 'Default-Layout.css')
	$layout = get_bloginfo('stylesheet_directory') . '/library/layouts/' . $options['layout'];
else
	$layout = 'Default-Layout.css';

$themeData = get_theme_data(TEMPLATEPATH . '/style.css');
$version = trim($themeData['Version']);
if(!$version)
	$version = "unknown";

$cur=(STYLESHEETPATH . '/style.css');
$ct=get_theme_data($cur);

$templateversion = trim($ct['Version']);
if(!$templateversion)
	$templateversion = "unknown";

// set theme constants
define('THEMELIB', TEMPLATEPATH . '/library');
define('DKRETLAYOUT', $layout);
define('THEMENAME', $themeData['Title']);
define('THEMEAUTHOR', $themeData['Author']);
define('THEMEURI', $themeData['URI']);
define('DKRETVERSION', $version);

// set child theme constants
define('TEMPLATENAME', $ct['Title']);
define('TEMPLATEAUTHOR', $ct['Author']);
define('TEMPLATEURI', $ct['URI']);
define('TEMPLATEVERSION', $templateversion);

// Load custom theme hooks and filters
require_once(THEMELIB . '/extensions/hooks-filters.php');

// Load dkret3 comments and guestbook callback
require_once(THEMELIB . '/extensions/discussion.php');

// Load dkret3 Widgets
require_once(THEMELIB . '/extensions/widgets.php');

// Load dkret3 helper functions
require_once(THEMELIB . '/extensions/helper-functions.php');

// Load dkret3 theme page
require_once(THEMELIB . '/extensions/theme-options.php');

// remove actiosn & filters (Related Posts Plugin & WP-PageNavi)
remove_filter('the_content','inlinePostTags');
remove_filter('the_content','inlineRelatedPosts');
remove_action('wp_head', 'pagenavi_css');

// add feed links to header (WP2.7.1)
if (function_exists('automatic_feed_links'))
	automatic_feed_links();

// Filters so that things run smoothly
add_filter( 'archive_meta', 'wptexturize' );
add_filter( 'archive_meta', 'convert_smilies' );
add_filter( 'archive_meta', 'convert_chars' );
add_filter( 'archive_meta', 'wpautop' );

// localisation won't work without
load_theme_textdomain('dkret');
?>