<?php

// Check for populated Sidebars
function exist_widget_column ($column) {
  $widgetcolumns = wp_get_sidebars_widgets();
	switch($column) {
		case 'all' :
		  foreach ($widgetcolumns as $sidebar)
				if (!empty($sidebar)) return true;
    	break;
		case 'bottombars' :
  		if (($widgetcolumns['sidebar-5']) || ($widgetcolumns['sidebar-6']) || ($widgetcolumns['sidebar-7'])) return true;
			break;
		case 'Primary Sidebar' :
			if ($widgetcolumns['sidebar-1']) return true;
    	break;
		case 'Sidebar Column1' :
			if ($widgetcolumns['sidebar-2']) return true;
    	break;
		case 'Sidebar Column2' :
			if ($widgetcolumns['sidebar-3']) return true;
    	break;
		case 'Secondary Sidebar' :
			if ($widgetcolumns['sidebar-4']) return true;
    	break;
		case 'Bottombar Column1' :
			if ($widgetcolumns['sidebar-5']) return true;
    	break;
		case 'Bottombar Column2' :
			if ($widgetcolumns['sidebar-6']) return true;
    	break;
		case 'Bottombar Column3' :
			if ($widgetcolumns['sidebar-7']) return true;
    	break;
  }
	return false;
}

//  About Widget
function widget_show_dkret_about($args) {
	extract($args);
	$options = get_option('widget_dkret_about');
	$title = empty($options['title']) ? __('About','dkret') : apply_filters('widget_title', $options['title']);
	$abouttext = 	empty( $options['abouttext'] ) ? __('A little something about yourself','dkret') : $options['abouttext'];
	global $user_ID; if (($user_ID) && ($options['login'] == 'checked="checked"')) return;
	echo "$before_widget";
		echo "$before_title".$title.$after_title;
		echo "<div class=\"dkret-about-widget\">";
		echo $abouttext;
		echo "</div>";
	echo "$after_widget";
}

// About Widget control
function widget_control_dkret_about() {
 	$options = $newoptions = get_option('widget_dkret_about');
	if ( isset($_POST["dkret-about-submit"]) ) {
		$newoptions['title'] = strip_tags(stripslashes($_POST["dkret-about-title"]));
		$newoptions['abouttext'] = stripslashes($_POST['dkret-about-text']);
		$newoptions['login'] = isset($_POST['dkret-about-hide']);
	}
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('widget_dkret_about', $options);
	}
	
	$title = attribute_escape($options['title']);
	$hide = $options['login'] ? 'checked="checked"' : '';
	$abouttext = stripslashes($options['abouttext']);
	
	// The Box content
	echo '<p style="text-align:right;"><label for="dkret-about-title">' . __('Title:') . ' <input style="width: 300px;" id="dkret-about-title" name="dkret-about-title" type="text" value="'.$title.'" /></label></p>';
	echo '<p style="text-align:right;"><label for="dkret-about-hide">' . __('Hide About Widget if User is logged in:', 'dkret') . ' <input id="dkret-about-hide" name="dkret-about-hide" type="checkbox" '. $hide .'  /></label></p>';
	echo '<p style="text-align:right;"><label for="dkret-about-text">' . __('About Text:', 'dkret'). ' <textarea name="dkret-about-text" style="width: 300px;" rows="12" cols="20" id="dkret-about-text">' .$abouttext. '</textarea></label></p>';
	echo '<input type="hidden" id="dkret-about-submit" name="dkret-about-submit" value="1" />';
}

// Eventcalendar Widget
function widget_dkret_events($args) {
	extract($args);
	$options = get_option('widget_dkret_events');
	$title = empty($options['title']) ? __('Next Events','dkret') : apply_filters('widget_title', $options['title']);
	$events = empty( $options['events'] ) ? '4' : $options['events'];
	echo "$before_widget";
	echo "$before_title".$title.$after_title;
	ec3_get_events($events,'<a href="%LINK%">%TITLE%</a>','%DATE%','','');
	echo "$after_widget";
}

// Eventcalendar Widget control
function widget_control_dkret_events() {
 	global $wpdb;
 	$options = get_option('widget_dkret_events');
    		
	if ( isset($_POST["dkret-submit"]) ) {
		$options['title'] = strip_tags(stripslashes($_POST['dkret-event-title']));
		$options['events'] = trim($_POST['dkret-events']);
		update_option('widget_dkret_events', $options);
	}
	
	$title = htmlspecialchars($options['title'], ENT_QUOTES);
	$events = $options['events'];

	// The Box content
	echo '<p style="text-align:right;"><label for="dkret-event-title" />' . __('Title:') . ' <input style="width: 200px;" id="dkret-event-title" name="dkret-event-title" type="text" value="'.$title.'" /></p>';
	echo '<p style="text-align:right;"><label for="dkret-events" />' . __('Number of Events:', 'dkret') . ' <input size="2" id="dkret-events" name="dkret-events" type="text" value="'.$events.'" /></p>';
	echo '<input type="hidden" id="dkret-submit" name="dkret-submit" value="1" />';
}

// Links Widget
function widget_dkret_blogroll($args) {
	extract($args);
	$options = get_option('widget_dkret_links');
	$title = empty($options['title']) ? __('Blogroll','dkret') : apply_filters('widget_title', $options['title']);
	if ($options['linkcat']) {
		echo "$before_widget";
		echo "<ul>";
		wp_list_bookmarks();
		echo "</ul>";
		echo "$after_widget";
	} else {
		echo "$before_widget";
		echo "$before_title".$title.$after_title;
		echo "<ul>";
		wp_list_bookmarks('categorize=0&orderby=rand&title_li=&limit=5');
		echo "</ul>";
		echo "$after_widget";
  }
}

// Links Widget control
function widget_control_dkret_blogroll() {
 	global $wpdb;
 	$options = get_option('widget_dkret_links');

	if ( isset($_POST["dkret-links-submit"]) ) {
		$options['title'] = strip_tags(stripslashes($_POST['dkret-blogroll-title']));
		$options['linkcat'] = isset($_POST['dkret-blogroll-linkcat']);
		update_option('widget_dkret_links', $options);
	}
	
	$title = htmlspecialchars($options['title'], ENT_QUOTES);
	$linkcat = $options['linkcat'] ? 'checked="checked"' : '';
	
	// The Box content
	echo '<p style="text-align:right;"><label for="dkret-blogroll-title" />' . __('Title:') . ' <input style="width: 200px;" id="dkret-blogroll-title" name="dkret-blogroll-title" type="text" value="'.$title.'" /></p>';
	echo '<p style="text-align:right;"><label for="dkret-bogroll-linkcat">' . __('Show Categories in Blogroll:', 'dkret') . ' <input id="dkret-blogroll-linkcat" name="dkret-blogroll-linkcat" type="checkbox" '. $linkcat .'  /></label></p>';
	echo '<input type="hidden" id="dkret-links-submit" name="dkret-links-submit" value="1" />';
}

// Meta Widget
function widget_dkret_meta($args) {
	extract($args);
	$options = get_option('widget_dkret_meta');
	$title = empty($options['title']) ? __('Login/Register','dkret') : apply_filters('widget_title', $options['title']);
	global $user_ID, $user_identity;
	get_currentuserinfo();
	if (!$user_ID):
		echo "$before_widget";
		echo "$before_title".$title.$after_title;
		wp_register('<ul><li>','</li></ul>');
		if (($options['dkretlogin']) != '') { ?>
			<form id="loginform" action="<?php echo get_option('siteurl'); ?>/wp-login.php" method="post">
				<div>
					<label for="log"><?php _e('Username:','dkret'); ?></label><br />
					<input type="text" name="log" id="log" size="19" /><br />
					<label for="pwd"><?php _e('Password:','dkret'); ?></label><br />
					<input type="password" name="pwd" id="pwd" size="19" /><br />
					<input type="hidden" name="rememberme" value="forever" />
					<input type="submit" name="submit" value="<?php _e('Login!','dkret'); ?>" />
					<input type="hidden" name="redirect_to" value="<?php echo $_SERVER['REQUEST_URI']; ?>"/>
				</div>
			</form>
		<?php } else {
			echo "<ul><li>"; wp_loginout(); echo "</li></ul>";
		}
	echo "$after_widget";
  
	else:
		echo "$before_widget";
		echo "$before_title$user_identity$after_title";
		echo "<ul>";
		wp_register();
		echo "<li>"; wp_loginout(); echo"</li>";
		echo "</ul>";
		echo "$after_widget";
	endif;
}

// Meta Widget control
function widget_control_dkret_meta() {
 	global $wpdb;
 	$options = get_option('widget_dkret_meta');
    		
	if ( isset($_POST["dkret-meta-submit"]) ) {
		$options['title'] = strip_tags(stripslashes($_POST['dkret-meta-title']));
		$options['dkretlogin'] = isset($_POST['dkret-meta-login']);
		update_option('widget_dkret_meta', $options);
	}
	
	$title = htmlspecialchars($options['title'], ENT_QUOTES);
	$dkretlogin = $options['dkretlogin'] ? 'checked="checked"' : '';
	
	// The Box content
	echo '<p style="text-align:right;"><label for="dkret-meta-title" />' . __('Title:') . ' <input style="width: 200px;" id="dkret-meta-title" name="dkret-meta-title" type="text" value="'.$title.'" /></p>';
	echo '<p style="text-align:right;"><label for="dkret-meta-login">' . __('Login on Posts page:', 'dkret') . ' <input id="dkret-meta-login" name="dkret-meta-login" type="checkbox" '. $dkretlogin .'  /></label></p>';
	echo '<input type="hidden" id="dkret-meta-submit" name="dkret-meta-submit" value="1" />';
}

// Now Reading Widget
function widget_dkret_nowreading($args) {
	extract($args);
	$options = get_option('widget_dkret_nowreading');
	echo "$before_widget"; ?>

<?php if( have_books('status=reading&num=1') ) : ?>

	<h3 class="widgettitle"><a href="<?php library_url() ?>" title="<?php _e('Visit Library','dkret'); ?>"><?php _e('Now Reading','dkret'); ?></a></h3>

<?php while( have_books('status=reading') ) : the_book(); ?>
	<div class="book">
		<a href="<?php book_permalink() ?>" title="<?php book_author() ?>: <?php book_title() ?>"><img width="40%" class="alignleft" src="<?php book_image() ?>" alt="<?php book_title() ?>" /></a>
		<a href="<?php book_permalink() ?>"><strong><?php book_title() ?></strong></a><br /><p><?php _e('by','dkret'); ?> <a href="<?php book_author_permalink() ?>"><?php book_author() ?></a></p>
	</div>
<?php endwhile; ?>
	
<?php endif; ?>

<?php if( have_books('status=unread&num=3') ) : ?>
	<h3 class="widgettitle"><a href="<?php library_url() ?>" title="<?php _e('Visit Library','dkret'); ?>"><?php _e('Planned Books','dkret'); ?></a></h3>
	<div class="book">
<?php while( have_books('status=unread') ) : the_book(); ?>
		<a href="<?php book_permalink() ?>" title="<?php book_author() ?>: <?php book_title() ?>"><img class="alignleft" src="<?php book_image() ?>" width="30%" alt="<?php book_title() ?>" /></a>
<?php endwhile; ?>
	</div>
<?php endif; ?>

<?php if( have_books('status=read&orderby=finished&order=desc&num=3') && $options['showrecent'] == 'checked="checked"' ) : ?>
	<h3 class="widgettitle"><a href="<?php library_url() ?>" title="<?php _e('Visit Library','dkret'); ?>"><?php _e('Recent Books','dkret'); ?></a></h3>
	<div class="book">
<?php while( have_books('status=read&orderby=finished&order=desc') ) : the_book(); ?>
		<a href="<?php book_permalink() ?>" title="<?php book_author() ?>: <?php book_title() ?>"><img class="alignleft" src="<?php book_image() ?>" width="30%" alt="<?php book_title() ?>" /></a>
<?php endwhile; ?>
	</div>
<?php endif;

	echo "$after_widget";
  }

// Now Reading Widget control
function widget_control_dkret_nowreading() {
 	global $wpdb;
 	$options = get_option('widget_dkret_nowreading');
    		
	if ( isset($_POST["dkret-now-reading-submit"]) ) {
		$options['showrecent'] = isset($_POST['dkret-nowreading-recent']);
		update_option('widget_dkret_nowreading', $options);
	}
	
	$title = htmlspecialchars($options['title'], ENT_QUOTES);
	$showrecent = $options['showrecent'] ? 'checked="checked"' : '';
	
	// The Box content
	echo '<p style="text-align:right;"><label for="dkret-nowreading-recent">' . __('Show Recent books:', 'dkret') . ' <input id="dkret-nowreading-recent" name="dkret-nowreading-recent" type="checkbox" '. $showrecent .'  /></label></p>';
	echo '<input type="hidden" id="dkret-now-reading-submit" name="dkret-now-reading-submit" value="1" />';
}

// Pages Widget
function dkret_widget_pages( $args ) {
	global $post;
	extract( $args );
	$options = get_option( 'dkret_widget_pages' );
	$title = apply_filters('widget_title', $options['title']);
	$title = $options['title'];
	$sortby = empty( $options['sortby'] ) ? 'menu_order' : $options['sortby'];
	$exclude = empty( $options['exclude'] ) ? '' : $options['exclude'];
	$show = empty( $options['exclude'] ) ? '' : $options['show'];
	$fold = empty( $options['exclude'] ) ? '' : $options['fold'];
	

	if ( $sortby == 'menu_order' ) {
		$sortby = 'menu_order, post_title';
	}

	if($post->post_parent)
		$children = wp_list_pages("title_li=&child_of=".$post->post_parent."&echo=0");
	else
		$children = wp_list_pages("title_li=&child_of=".$post->ID."&echo=0");

	if ( ($children) || ($options['show'] == 'checked="checked"') )  {

		echo $before_widget;
		if(!empty($title))
			echo $before_title . $title . $after_title;
?>
		<ul>
			<?php wswwpx_fold_page_list('echo=1&title_li=&sort_column='.$sortby.'&exclude='.$exclude.'',$options['fold']); ?>
		</ul>
<?php
		echo $after_widget;
	}
}

// Pages Widget control
function dkret_widget_pages_control() {
	$options = $newoptions = get_option('dkret_widget_pages');
	if ( isset($_POST["dkret-pages-submit"]) ) {
		$newoptions['title'] = strip_tags(stripslashes($_POST['pages-title']));

		$sortby = stripslashes( $_POST['pages-sortby'] );

		if ( in_array( $sortby, array( 'post_title', 'menu_order', 'ID' ) ) ) {
			$newoptions['sortby'] = $sortby;
		} else {
			$newoptions['sortby'] = 'menu_order';
		}

		$newoptions['exclude'] = strip_tags( stripslashes( $_POST['pages-exclude'] ) );
		$newoptions['show'] = isset($_POST['pages-show']);
		$newoptions['fold'] = isset($_POST['pages-fold']);
	}
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('dkret_widget_pages', $options);
	}
	$title = attribute_escape($options['title']);
	$exclude = attribute_escape( $options['exclude'] );
	$show = $options['show'] ? 'checked="checked"' : '';
	$fold = $options['fold'] ? 'checked="checked"' : '';
?>
		<p>
			<label for="pages-title"><?php _e('Title:') ?> <input class="widefat" id="pages-title" name="pages-title" type="text" value="<?php echo $title; ?>" /></label>
			<br />
			<small><?php _e('Leave blank to hide the title.','dkret') ?></small>
		</p>

		<p>
			<label for="pages-show">
				<input class="checkbox" id="pages-show" name="pages-show" type="checkbox" <?php echo $show; ?> />
				<?php _e('Show Navigation on all pages','dkret') ?>
			</label>
			<br />
			<label for="pages-fold">
				<input class="checkbox" id="pages-fold" name="pages-fold" type="checkbox" <?php echo $fold; ?> />
				<?php _e('Show all subpages','dkret') ?>
			</label>
		</p>
		
		<p>
			<label for="pages-sortby"><?php _e('Sort by:'); ?>
				<select name="pages-sortby" id="pages-sortby" class="widefat">
					<option value="post_title"<?php selected( $options['sortby'], 'post_title' ); ?>><?php _e('Page title','dkret'); ?></option>
					<option value="menu_order"<?php selected( $options['sortby'], 'menu_order' ); ?>><?php _e('Page order','dkret'); ?></option>
					<option value="ID"<?php selected( $options['sortby'], 'ID' ); ?>><?php _e( 'Page ID' ); ?></option>
				</select>
			</label>
		</p>
		<p>
			<label for="pages-exclude"><?php _e('Exclude:'); ?> <input type="text" value="<?php echo $exclude; ?>" name="pages-exclude" id="pages-exclude" class="widefat" /></label>
			<br />
			<small><?php _e('Page IDs, separated by commas.'); ?></small>
		</p>
		<input type="hidden" id="dkret-pages-submit" name="dkret-pages-submit" value="1" />
<?php
}

// RSS Widget
function widget_dkret_rsslinks($args) {
	extract($args);
	$options = get_option('widget_dkret_rsslinks');
	$title = empty($options['title']) ? __('RSS Links','dkret') : apply_filters('widget_title', $options['title']);
		echo "$before_widget";
		echo "$before_title".$title.$after_title; ?>
				<ul>
<?php
	if (($options['posts'] == '0') || (!$options['posts'])) {
?>
					<li><a href="<?php bloginfo('rss2_url') ?>" title="<?php echo wp_specialchars(bloginfo('name'), 1) ?> <?php _e('Posts RSS feed', 'dkret'); ?>" rel="alternate" type="application/rss+xml"><?php _e('All posts', 'dkret') ?></a></li>
<?php
	}
?>
<?php
	if (($options['comments'] == '0') || (!$options['comments'])) {
?>
					<li><a href="<?php bloginfo('comments_rss2_url') ?>" title="<?php echo wp_specialchars(bloginfo('name'), 1) ?> <?php _e('Comments RSS feed', 'dkret'); ?>" rel="alternate" type="application/rss+xml"><?php _e('All comments', 'dkret') ?></a></li>
<?php 
	}
?>
				</ul>
	<?php echo "$after_widget";
}

// RSS Widget control
function widget_control_dkret_rsslinks() {
 	$options = get_option('widget_dkret_rsslinks');
    		
	if ( isset($_POST["dkret-rsslinks-submit"]) ) {

		if ( isset($_POST['dkret-rsslinks-title']) )
			$options['title'] = strip_tags(stripslashes($_POST['dkret-rsslinks-title']));
		if ( isset($_POST['dkret-rsslinks-posts']) )
			$options['posts'] = '1';
		else
			$options['posts'] = '0';
		if ( isset($_POST['dkret-rsslinks-comments']) )
			$options['comments'] = '1';
		else
			$options['comments'] = '0';

		update_option('widget_dkret_rsslinks', $options);
	}
	
	$title = htmlspecialchars($options['title'], ENT_QUOTES);
	
	// The Box content
?>
	<p>
		<label for="dkret-rsslinks-title" />
			<?php _e('Title:') ?> <input style="width: 200px;" id="dkret-rsslinks-title" name="dkret-rsslinks-title" type="text" value="<?php echo $title ?>" />
		</label>
	</p>
	<p>
		<label for="dkret-rsslinks-posts">
			<input id="dkret-rsslinks-posts" name="dkret-rsslinks-posts" type="checkbox" value="1" <?php checked('1', $options['posts']) ?>  />
			<?php _e('Hide Posts RSS feed', 'dkret') ?>
		</label>
		<br />
		<label for="dkret-rsslinks-comments">
			<input id="dkret-rsslinks-comments" name="dkret-rsslinks-comments" type="checkbox" value="1" <?php checked('1', $options['comments']) ?>  />
			<?php _e('Hide Comments RSS feed', 'dkret') ?>
		</label>
	</p>
	<input type="hidden" id="dkret-rsslinks-submit" name="dkret-rsslinks-submit" value="1" />
<?php
}

// Search Widget
function widget_dkret_search($args) {
	extract($args);
	$options = get_option('widget_dkret_search');
	$title = empty($options['title']) ? __('Search','dkret') : $options['title'];
	echo "$before_widget";
		echo "$before_title"."<label for=\"s\">".$title."</label>".$after_title;?>
					<form id="searchform" method="get" action="<?php bloginfo('home') ?>">
						<div>
							<input id="s" class="text" name="s" type="text" value="<?php the_search_query() ?>" size="10" tabindex="1" accesskey="S" />
							<input id="searchsubmit" class="button" name="searchsubmit" type="submit" value="<?php _e('Find', 'dkret') ?>" tabindex="2" />
						</div>
					</form>
<?php
	echo "$after_widget";
}

// Search Widget control
function widget_control_dkret_search() {
 	global $wpdb;
 	$options = get_option('widget_dkret_search');
    		
	if ( isset($_POST["dkret-search-submit"]) ) {

		$options['title'] = strip_tags(stripslashes($_POST['dkret-search-title']));
		update_option('widget_dkret_search', $options);
	}
	
	$title = htmlspecialchars($options['title'], ENT_QUOTES);
	
	// The Box content
	echo '<p style="text-align:right;"><label for="dkret-search-title" />' . __('Title:') . ' <input style="width: 200px;" id="dkret-search-title" name="dkret-search-title" type="text" value="'.$title.'" /></p>';
	echo '<input type="hidden" id="dkret-search-submit" name="dkret-search-submit" value="1" />';
}

// Widgets plugin: intializes the plugin after the widgets above have passed snuff
function dkret_widgets_init() {
	if ( !function_exists('register_sidebars') )
		return;

	// Register Widgetized areas.
	register_sidebar(array(
		'name'=>'Primary Sidebar',
		'before_title' => "<h3 class='widgettitle'>",
		'after_title' => "</h3>",
	));

	register_sidebar(array(
		'name'=>'Sidebar Column1',
		'before_title' => "<h3 class='widgettitle'>",
		'after_title' => "</h3>",
	));
  
	register_sidebar(array(
		'name'=>'Sidebar Column2',
		'before_title' => "<h3 class='widgettitle'>",
		'after_title' => "</h3>",
	));

	register_sidebar(array(
		'name'=>'Secondary Sidebar',
		'before_title' => "<h3 class='widgettitle'>",
		'after_title' => "</h3>",
	));

	register_sidebar(array(
		'name'=>'Bottombar Column1',
		'before_title' => "<h3 class='widgettitle'>",
		'after_title' => "</h3>",
	));

	register_sidebar(array(
		'name'=>'Bottombar Column2',
		'before_title' => "<h3 class='widgettitle'>",
		'after_title' => "</h3>",
	));

	register_sidebar(array(
		'name'=>'Bottombar Column3',
		'before_title' => "<h3 class='widgettitle'>",
		'after_title' => "</h3>",
	));

	// Finished intializing Widgets plugin, now let's load the dkret3 default widgets
	$widget_ops = array('classname' => 'widget_dkret_about', 'description' => __( 'Add a little Something about yourself (dkret)', 'dkret' ) );
	$control_ops = array('width' => 400, 'height' => 350, 'id_base' => 'text');
	wp_register_sidebar_widget('about', __('About','dkret'), 'widget_show_dkret_about', $widget_ops);
	wp_register_widget_control('about', __('About','dkret'), 'widget_control_dkret_about', $control_ops);

	if ( function_exists('ec3_get_events') ) {
		$widget_ops = array('classname' => 'widget_dkret_events', 'description' => __( "Your next event calendar events (dkret)", 'dkret') );
		wp_register_sidebar_widget('events', __('Events','dkret'), 'widget_dkret_events', $widget_ops);
		wp_register_widget_control('events', __('Events','dkret'), 'widget_control_dkret_events');
	}

	$widget_ops = array('classname' => 'widget_dkret_links', 'description' => __( "Your blogroll (dkret)", 'dkret') );
	wp_register_sidebar_widget('links', __('Links'), 'widget_dkret_blogroll', $widget_ops);
	unregister_widget_control('links');
	wp_register_widget_control('links', __('Links'), 'widget_control_dkret_blogroll');

	$widget_ops = array('classname' => 'widget_dkret_meta', 'description' => __( "Log in/out links (dkret)", 'dkret') );
	wp_register_sidebar_widget('meta', __('Meta','dkret'), 'widget_dkret_meta', $widget_ops);
	unregister_widget_control('meta');
	wp_register_widget_control('meta', __('Meta','dkret'), 'widget_control_dkret_meta');

	if ( function_exists('have_books') ) {
		$widget_ops = array('classname' => 'widget_dkret_nowreading', 'description' => __( "Your recent books (dkret)", 'dkret') );
		wp_register_sidebar_widget('now-reading', 'Now Reading', 'widget_dkret_nowreading', $widget_ops);
		unregister_widget_control('now-reading');
		wp_register_widget_control('now-reading', 'Now Reading', 'widget_control_dkret_nowreading');
	}

	if ( function_exists('wswwpx_fold_page_list') ) {
		$widget_ops = array('classname' => 'dkret_widget_pages', 'description' => __( "Foldable Sidebarnavigation (dkret)", 'dkret') );
		wp_register_sidebar_widget('pages', __('Pages'), 'dkret_widget_pages', $widget_ops);
		unregister_widget_control('pages');
		wp_register_widget_control('pages', __('Pages'), 'dkret_widget_pages_control');
	}

	$widget_ops = array('classname' => 'widget_dkret_rsslinks', 'description' => __( "RSS links for posts and comments (dkret)", 'dkret') );
	wp_register_sidebar_widget('rss-links', __('RSS Links','dkret'), 'widget_dkret_rsslinks', $widget_ops);
	wp_register_widget_control('rss-links', __('RSS Links','dkret'), 'widget_control_dkret_rsslinks');

	$widget_ops = array('classname' => 'widget_dkret_search', 'description' => __( "A search form for your blog (dkret)", 'dkret') );
	wp_register_sidebar_widget('search', __('Search'), 'widget_dkret_search', $widget_ops);
	unregister_widget_control('search');
	wp_register_widget_control('search', __('Search'), 'widget_control_dkret_search');
}

// Add dkret widgets and properly unregister standard widgets
add_action('init', 'dkret_widgets_init');
?>